using Microsoft.Extensions.Options;
using OrchardCore.ResourceManagement;

namespace BenRameyTheme;

public class ResourceManagementOptionsConfiguration : IConfigureOptions<ResourceManagementOptions>
{
	static ResourceManagementOptionsConfiguration()
	{
		m_manifest = new ResourceManifest();

		m_manifest
			.DefineStyle("BenRameyTheme")
			.SetUrl("~/BenRameyTheme/styles.css")
			.SetVersion("1.0.0");
	}

	public void Configure(ResourceManagementOptions options)
	{
		options.ResourceManifests.Add(m_manifest);
	}

	private static ResourceManifest m_manifest;
}
